# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::TextEvent Class Reference

DOM::TextEvent The detail attribute inherited from UIEvent is used to indicate the number of keypresses which have occurred during key repetition. More...

`#include <dom2_events.h>`

Inheritance diagram for DOM::TextEvent:

[legend]
Collaboration diagram for DOM::TextEvent:

[legend]
List of all members.

## Public Member Functions

| TextEvent (const TextEvent &other)
| TextEvent (const Event &other)
TextEvent & | operator= (const TextEvent &other)
TextEvent & | operator= (const Event &other)
void | initTextEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const AbstractView &viewArg, long detailArg, const DOMString &outputStringArg, unsigned long keyValArg, unsigned long virtKeyValArg, bool inputGeneratedArg, bool numPadArg)
void | initModifier (unsigned long modifierArg, bool valueArg)
bool | inputGenerated () const
unsigned long | keyVal () const
bool | numPad () const
DOMString | outputString () const
unsigned long | virtKeyVal () const
bool | checkModifier (unsigned long modiferArg)

## Protected Member Functions

| TextEvent (TextEventImpl *impl)

## Detailed Description

DOM::TextEvent The detail attribute inherited from UIEvent is used to indicate the number of keypresses which have occurred during key repetition.

If this information is not available this value should be 0.

Definition at line 556 of file dom2_events.h.

## Member Function Documentation

void TextEvent::initTextEvent | ( | const DOMString & | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | const AbstractView & | viewArg,
|  | long | detailArg,
|  | const DOMString & | outputStringArg,
|  | unsigned long | keyValArg,
|  | unsigned long | virtKeyValArg,
|  | bool | inputGeneratedArg,
|  | bool | numPadArg
| ) |

initTextEvent

The initTextEvent method is used to initialize the value of a MouseEvent created through the DocumentEvent interface. This method may only be called before the TextEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence. This method has no effect if called after the event has been dispatched.

Parameters:

typeArg of type DOMString Specifies the event type. canBubbleArg of type boolean Specifies whether or not the event can bubble. cancelableArg of type boolean Specifies whether or not the event's default action can be prevent. viewArg of type views::AbstractView Specifies the TextEvent's AbstractView. detailArg of type unsigned short Specifies the number of repeated keypresses, if available. outputStringArg of type DOMString Specifies the TextEvent's outputString attribute keyValArg of type unsigned long Specifies the TextEvent's keyValattribute virtKeyValArg of type unsigned long Specifies the TextEvent's virtKeyValattribute inputGeneratedArg of type boolean Specifies the TextEvent's inputGeneratedattribute numPadArg of type boolean Specifies the TextEvent's numPadattribute

No Return Value. No Exceptions.

Definition at line 525 of file dom2_events.cpp.

void TextEvent::initModifier | ( | unsigned long | modifierArg,
|  | bool | valueArg
| ) |

initModifier

The initModifier method is used to initialize the values of any modifiers associated with a TextEvent created through the DocumentEvent interface. This method may only be called before the TextEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times with the same modifier property the final invocation takes precedence. Unless explicitly give a value of true, all modifiers have a value of false. This method has no effect if called after the event has been dispatched. The list of keys below represents the allowable modifier parameters for this method: DOM_VK_LEFT_ALT DOM_VK_RIGHT_ALT DOM_VK_LEFT_CONTROL DOM_VK_RIGHT_CONTROL DOM_VK_LEFT_SHIFT DOM_VK_RIGHT_SHIFT DOM_VK_META

Parameters:

modifier of type unsigned long The modifier which the user wishes to initialize value of type boolean The new value of the modifier.

No Return Value No Exceptions

Definition at line 566 of file dom2_events.cpp.

bool TextEvent::inputGenerated | ( |  | ) | const

inputGenerated of type boolean

The inputGenerated attribute indicates whether the key event will normally cause visible output. If the key event does not generate any visible output, such as the use of a function key or the combination of certain modifier keys used in conjunction with another key, then the value will be false. If visible output is normally generated by the key event then the value will be true. The value of inputGenerated does not guarantee the creation of a character. If a key event causing visible output is cancelable it may be prevented from causing output. This attribute is intended primarily to differentiate between keys events which may or may not produce visible output depending on the system state.

Definition at line 582 of file dom2_events.cpp.

unsigned long TextEvent::keyVal | ( |  | ) | const

| keyVal of type unsigned long The value of keyVal holds the value of the Unicode character associated with the depressed key. If the key has no Unicode representation or no Unicode character is available the value is 0. Definition at line 542 of file dom2_events.cpp.

bool TextEvent::numPad | ( |  | ) | const

| numPad of type boolean The numPad attribute indicates whether or not the key event was generated on the number pad section of the keyboard. If the number pad was used to generate the key event the value is true, otherwise the value is false. Definition at line 590 of file dom2_events.cpp.

DOMString TextEvent::outputString | ( |  | ) | const

| outputString of type DOMString outputString holds the value of the output generated by the key event. This may be a single Unicode character or it may be a string. It may also be null in the case where no output was generated by the key event. Definition at line 550 of file dom2_events.cpp.

unsigned long TextEvent::virtKeyVal | ( |  | ) | const

| virtKeyVal of type unsigned long When the key associated with a key event is not representable via a Unicode character virtKeyVale holds the virtual key code associated with the depressed key. If the key has a Unicode representation or no virtual code is available the value is DOM_VK_UNDEFINED. Definition at line 558 of file dom2_events.cpp.

bool TextEvent::checkModifier | ( | unsigned long | modiferArg | ) |

checkModifier

Note: the below description does not match the actual behavior. it's extended in a way that you can query multiple modifiers at once by logically OR`ing them. also, we use the Qt modifier enum instead of the DOM one.

The CheckModifier method is used to check the status of a single modifier key associated with a TextEvent. The identifier of the modifier in question is passed into the CheckModifier function. If the modifier is triggered it will return true. If not, it will return false. The list of keys below represents the allowable modifier parameters for this method: DOM_VK_LEFT_ALT DOM_VK_RIGHT_ALT DOM_VK_LEFT_CONTROL DOM_VK_RIGHT_CONTROL DOM_VK_LEFT_SHIFT DOM_VK_RIGHT_SHIFT DOM_VK_META

Parameters:

modifer of type unsigned long The modifier which the user wishes to query.

Return Value: boolean The status of the modifier represented as a boolean.

No Exceptions

Definition at line 574 of file dom2_events.cpp.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:41 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003